part of 'generator.dart';

class Requirement {
  final int vx, vy;
  final DirectionSet smooth;

  Requirement(this.vx, this.vy, this.smooth);

  Requirement flip() {
    return Requirement(vx, vy, smooth.flip());
  }

  Requirement rotateLeft() {
    return Requirement(vy, vx, smooth.rotateLeft());
  }

  Requirement rotateRight() {
    return Requirement(vy, vx, smooth.rotateRight());
  }
}
